/* Blinker
   Copyright 2011 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef BLINKER_OPCONNIF_H
#define BLINKER_OPCONNIF_H

#include <string>

namespace Blinker {

class OpConn;

/// operator connection interface
class OpConnIf
{
public:
  /// constructor
  OpConnIf();

  /// virtual destructor
  virtual ~OpConnIf();

public:
  /**
   * @brief operator connection is closed
   * @param[in] pConn operator connection object
   */
  virtual void opConnClose(OpConn *pConn) = 0;
}; // class OpConnIf

} // namespace Blinker

#endif // #ifndef BLINKER_OPCONNIF_H

